/** @type {import('./$types').LayoutLoad} */

import { browser } from '$app/environment';
import { events_func } from '$lib/ae_events/ae_events_functions';

export async function load({ parent }) {
    const log_lvl: number = 0;

    const parent_data = await parent();

    const account_id = parent_data.account_id;

    const ae_acct = parent_data[account_id];

    const event_id = ae_acct.slct.event_id; // From root +layout.ts

    if (browser) {
        if (log_lvl)
            console.log(
                `ae_events (pres_mgmt) +layout.ts (Non-Blocking Refresh)`
            );

        if (event_id) {
            // Refresh the specific selected event
            events_func.load_ae_obj_id__event({
                api_cfg: ae_acct.api,
                event_id: event_id,
                // inc_file_li: false, // Changing from true 2026-02-04
                // inc_location_li: false, // Changing from true 2026-02-04
                inc_session_li: true,
                log_lvl: log_lvl
            });
        }
    }

    parent_data[account_id] = ae_acct;

    return parent_data;
}
